### Enumeration

# Aravis DeviceError

#### Declaration

    error-domain Aravis.DeviceError

#### Description

No description available.

#### Members

`ARV_DEVICE_ERROR_WRONG_FEATURE`

  Wrong feature type.

  - Value: `0`
  - Available since: 0.8
`ARV_DEVICE_ERROR_FEATURE_NOT_FOUND`

  Feature node not found.

  - Value: `1`
  - Available since: 0.8
`ARV_DEVICE_ERROR_NOT_CONNECTED`

  Device is not connected.

  - Value: `2`
  - Available since: 0.8
`ARV_DEVICE_ERROR_PROTOCOL_ERROR`

  Protocol error.

  - Value: `3`
  - Available since: 0.8
`ARV_DEVICE_ERROR_TRANSFER_ERROR`

  Transfer error.

  - Value: `4`
  - Available since: 0.8
`ARV_DEVICE_ERROR_TIMEOUT`

  Timeout detected.

  - Value: `5`
  - Available since: 0.8
`ARV_DEVICE_ERROR_NOT_FOUND`

  Device not found.

  - Value: `6`
  - Available since: 0.8
`ARV_DEVICE_ERROR_INVALID_PARAMETER`

  Invalid construction parameter.

  - Value: `7`
  - Available since: 0.8
`ARV_DEVICE_ERROR_GENICAM_NOT_FOUND`

  Missing Genicam data.

  - Value: `8`
  - Available since: 0.8
`ARV_DEVICE_ERROR_NO_STREAM_CHANNEL`

  No stream channel found.

  - Value: `9`
  - Available since: 0.8
`ARV_DEVICE_ERROR_NOT_CONTROLLER`

  Controller privilege required.

  - Value: `10`
  - Available since: 0.8
`ARV_DEVICE_ERROR_UNKNOWN`

  Unknown error.

  - Value: `11`
  - Available since: 0.8
`ARV_DEVICE_ERROR_PROTOCOL_ERROR_NOT_IMPLEMENTED`

  No description available.

  - Value: `12`
  - Available since: 0.8
`ARV_DEVICE_ERROR_PROTOCOL_ERROR_INVALID_PARAMETER`

  No description available.

  - Value: `13`
  - Available since: 0.8
`ARV_DEVICE_ERROR_PROTOCOL_ERROR_INVALID_ADDRESS`

  No description available.

  - Value: `14`
  - Available since: 0.8
`ARV_DEVICE_ERROR_PROTOCOL_ERROR_WRITE_PROTECT`

  No description available.

  - Value: `15`
  - Available since: 0.8
`ARV_DEVICE_ERROR_PROTOCOL_ERROR_BAD_ALIGNMENT`

  No description available.

  - Value: `16`
  - Available since: 0.8
`ARV_DEVICE_ERROR_PROTOCOL_ERROR_ACCESS_DENIED`

  No description available.

  - Value: `17`
  - Available since: 0.8
`ARV_DEVICE_ERROR_PROTOCOL_ERROR_BUSY`

  No description available.

  - Value: `18`
  - Available since: 0.8

#### Type functions

###### arv_device_error_quark

No description available.